## org.mariadb.jdbc.internal.com.send
Class SendPamAuthPacket.RequestFocusListener

    java.lang.Object
      org.mariadb.jdbc.internal.com.send.SendPamAuthPacket.RequestFocusListener

All Implemented Interfaces:
  EventListener, AncestorListener

Enclosing class:
  SendPamAuthPacket

    public class SendPamAuthPacket.RequestFocusListener

extends Object
implements AncestorListener

Force focus to input field.

Constructor Summary
`SendPamAuthPacket.RequestFocusListener()`
`SendPamAuthPacket.RequestFocusListener(boolean removeListener)`

Method Summary
`void` `ancestorAdded(AncestorEvent ancestorEvent)`
`void` `ancestorMoved(AncestorEvent ancestorEvent)`
`void` `ancestorRemoved(AncestorEvent ancestorEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendPamAuthPacket.RequestFocusListener

    public SendPamAuthPacket.RequestFocusListener()

### SendPamAuthPacket.RequestFocusListener

    public SendPamAuthPacket.RequestFocusListener(boolean removeListener)

Method Detail

### ancestorAdded

    public void ancestorAdded(AncestorEvent ancestorEvent)

  Specified by:
    `ancestorAdded` in interface `AncestorListener`

### ancestorMoved

    public void ancestorMoved(AncestorEvent ancestorEvent)

  Specified by:
    `ancestorMoved` in interface `AncestorListener`

### ancestorRemoved

    public void ancestorRemoved(AncestorEvent ancestorEvent)

  Specified by:
    `ancestorRemoved` in interface `AncestorListener`

Copyright © 2017. All rights reserved.